/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import "../Components"

Showable {
    id: notificationRenderer

    anchors.fill: parent

    function displayNotification(notification) {
        queue.append(notification)
    }

    ListModel {
        id: queue
    }

    ListView {
        id: notificationsView
        interactive: false

        anchors {
            fill: parent
            topMargin: units.gu(1)
            leftMargin: units.gu(1)
            rightMargin: units.gu(1)
            bottomMargin: units.gu(2)
        }

        spacing: units.gu (.5)
        model: queue
        delegate: Notification {
            summary: model.summary
            body: model.body
            iconSource: model.icon
            secondaryIconSource: model.secondaryIcon
            actions: model.actions
        }
    }
}
