/*
 * Copyright (C) 2012 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Gerry Boland <gerry.boland@canonical.com>
 */

#ifndef APPLICATIONLAUNCHER_H
#define APPLICATIONLAUNCHER_H

#include <QtCore/QObject>

class ApplicationLauncher: public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString workingDirectory READ workingDirectory WRITE setWorkingDirectory NOTIFY workingDirectoryChanged FINAL)

public:
    static ApplicationLauncher& instance() {
        static ApplicationLauncher instance;
        return instance;
    }

    Q_INVOKABLE bool execute(const QString&);

    // getters
    QString workingDirectory() const;

    // setters
    void setWorkingDirectory(const QString&);

Q_SIGNALS:
    void workingDirectoryChanged();

private:
    Q_DISABLE_COPY(ApplicationLauncher)
    explicit ApplicationLauncher(QObject* parent = 0);
    QString m_workingDirectory;
};

#endif
