/*
 * Copyright (C) 2012, 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "libhud_client_stub.h"

#include <hud-client.h>

int HudClientStub::m_lastExecutedToolbarItem;
QString HudClientStub::m_lastSetAppStackApplicationId;
QString HudClientStub::m_lastSetQuery;
int HudClientStub::m_lastExecutedCommandRow;

int HudClientStub::lastExecutedToolbarItem() const
{
    return m_lastExecutedToolbarItem;
}

QString HudClientStub::lastSetAppStackApplicationId() const
{
    return m_lastSetAppStackApplicationId;
}

QString HudClientStub::lastSetQuery() const
{
    return m_lastSetQuery;
}

int HudClientStub::lastExecutedCommandRow() const
{
    return m_lastExecutedCommandRow;
}

void HudClientStub::reset()
{
    m_lastExecutedToolbarItem = -1;
    m_lastSetAppStackApplicationId.clear();
    m_lastSetQuery.clear();
    m_lastExecutedCommandRow = -1;
}

int HudClientStub::fullScreenToolbarItemValue() const
{
    return HUD_CLIENT_QUERY_TOOLBAR_FULLSCREEN;
}

int HudClientStub::helpToolbarItemValue() const
{
    return HUD_CLIENT_QUERY_TOOLBAR_HELP;
}

int HudClientStub::preferencesToolbarItemValue() const
{
    return HUD_CLIENT_QUERY_TOOLBAR_PREFERENCES;
}

int HudClientStub::quitToolbarItemValue() const
{
    return HUD_CLIENT_QUERY_TOOLBAR_QUIT;
}

int HudClientStub::undoToolbarItemValue() const
{
    return HUD_CLIENT_QUERY_TOOLBAR_UNDO;
}
